# Aloha - README
This is my first project for the Web Development Programme showcasing the requirements for responsive web development using HTML, CSS and JavaScript.
## Technologies Used
The following highlights the languages used to markup, design and animate the Aloha Apparel website along with the key functions used for each language:
* HTML: Hyper Text Markup Language
  * Syntactically valid HTML5 code
  * Link to Eric Meyer CSS reset link
  * Link to Typography Database
  * Link to CSS design stylesheet
  * Link to JS animation script
  * link to JQuery database
* CSS:  Cascading Style Sheet
  * Flexbox     (For Grid Design)
  * Fonts       (For Typography and Icon Design)
* JS:   JavaScript
  * JQuery      (For Smooth Scrolling Animation)
  * Flickity    (For Slider Support)
* Git Hub
  * Initialized Git Repository for website
  * Added .ignore file to exclude unnecessary files/folders.

## Overview
The following animations are added to the website using CSS and JS to allow for a smooth user experience when transitioning through the website:
* Mobile Adaptive Header and Footer
* Link Adaptive Cursor and Hover
* Transparent Fixed Header
* Smooth Scrolling to Sections
* Slider Carousel Animation
* Shopping Cart Notification Item
* Email Validation and Alerts
#### Mobile Adaptive Header and Footer

![Alt Text](RMEImages/Adaptive&#32;Header.gif)
![Alt Text](RMEImages/Adaptive&#32;Footer.gif)

#### Link Adaptive Cursor and Hover

![Alt Text](/RMEImages/cursor&#32;and&#32;hover&#32;adaptation.gif)

#### Transparent Fixed Header

![Alt Text](RMEImages/Transparent&#32;fixed&#32;header.gif)

#### Smooth Scrolling to Sections

![Alt Text](https://media.giphy.com/media/vFKqnCdLPNOKc/giphy.gif)

#### Slider Carousel Animation

![Alt Text](/RMEImages/JS&#32;carousel.gif)

#### Shopping Cart Notification Item

![Alt Text](/RMEImages/Shopping&#32;cart&#32;notification.gif)

#### Email Validation and Alerts

![Alt Text](/RMEImages/email&#32;validation.gif)

### Aloha Apparel&trade; Co.

![Alt Text](/RMEImages/Version1.gif)

## Summary 

This (static) website is powered by HTML and CSS with a touch of JavaScript portraying a dynamic dance between the languages when they are linked together.

:octocat:
